import 'package:aitrainer_app/util/trans.dart';
import 'package:flutter/material.dart';
import 'package:flutter_html/flutter_html.dart';
import 'package:flutter_html/style.dart';
import 'package:google_fonts/google_fonts.dart';

// ignore: must_be_immutable
class DialogGDPR extends StatefulWidget {
  DialogGDPR({Key? key}) : super(key: key);

  @override
  _DialogPremiumState createState() {
    return _DialogPremiumState();
  }
}

const htmlData = """
<html>
<h1>WorkoutTest Data Policy </h1>
<h2><strong>Principle of anonymous data use</strong></h2>
In principle, our website can be used without providing personal data. The use of individual services and offers (Workout Test app, workouttest.com website) on our website and in our apps can entail divergent regulations which in this case are explained separately below. The legal basis for data protection can be found in the General Data Protection Regulation (GDPR).

When you access our website or Apps, some information, such as IP address, is transferred. You are also providing information about the end device used (computer, smartphone, tablet etc.), the browser used (Internet Explorer, Safari, Firefox etc.), time of visit to the website, the so-called referrer and volume of data transferred.

We cannot use this data to identify an individual user. We only use this information to determine how attractive our offers are and to improve their performance or content, if necessary, and make their design even more appealing to you.

Please bear in mind, however, that in the case of a static

IP address, personal identification is possible by RIPE query in individual cases, although we do not perform this. Nevertheless, this website is accessible for both static and dynamic IP addresses assigned.

&nbsp;
<h2><strong>Collection and processing of personal data </strong></h2>
We only collect personal data if you provide it to us, for example when you contact us, in particular by registering a Workout Test account, placing an order, requesting information or publishing personal data in our Workout Test in your profile or in the feed.

We use the personal data you provide only to the extent that your data is necessary for rendering or processing our services.

We store your data for as long as is necessary to achieve the intended purpose or until you delete your account or for as long as legal retention periods require data to be stored. Your data is subsequently deleted in accordance with legal requirements or processing is restricted.

In the case of use purely for information, i.e. if you do not register or send us information another way, we only collect personal data which your browser transfers to our servers. If you want to view our website, we collect the following data, which we require for technical purposes in order to show you our content and guarantee stability and security (legal basis is a legitimate interest pursuant to Article 6 (1) (f) GDPR).

In the context of the balance of interests in accordance with Article 6 (1) (f) GDPR, we have considered and weighed our interest in website and app provisioning and your interest in data protection compliant processing of your personal data. As the data below is technically required for the provision of our service in order to offer you our services and also guarantee stability and security, in particular protection against misuse, we have reached the conclusion that, with a state-of-the-art oriented data security guarantee, this data can be processed whereby appropriate consideration will be given to your interest in data protection compliant processing.

&nbsp;

The collection of data for website provision and the storage of data in log files is imperative for website and operation. Consequently, users may not object to this.
<h3><strong>Registering a Workout Test Account </strong></h3>
Using our login system, you can create a Workout Test account for yourself that you can use to log in to all of our services (Workout Test, Workouttest.com). In the process, we use cookies – small files – on your browser in order to identify you. All data that you save to your account is stored at a database at the server of Contabo GmbH. Some of our services are only accessible if you have set up your Workout Test account. This includes Workout Test app. We will request the following data when registering (some of it is required). In addition, you must take note of our Data Protection Statement, as well as accept our General Terms and Conditions of Business and Withdrawal Policy.

&nbsp;
<h3><strong>Registering with Facebook or Google </strong></h3>
We also offer you the opportunity to create your Workout Test account using your Facebook or Google account, or to link your Workout Test account to your Facebook or Google account. You can register or log in to Workout Test using your Facebook or Google account if you simply use Facebook or Google instead of the other options while registering your Workout Test account. You will then be forwarded to Facebook or Google (where you must be logged in or require an account) and receive an explanation of which of your data we need from Facebook or Google, namely your public profile information such as first and last name, gender, and the email address you are using there. This information is required for identification purposes in order to create a secure Workout Test account for you. When you log in using your Facebook account, this allows us to show you which of your friends are already with Workout Test. Your Facebook or Google account and your Workout Test account will be permanently linked using your email address. We store your email information in-house and will send you information using this address as needed. We can also tell that you have logged in using Facebook or Google. As soon as you log in to Facebook or Google, you can log in to Workout Test. We will not submit any information on you to Facebook or Google without your consent.

Important: We do not record your Facebook or Google login data in any way, and cannot post anything to your Facebook or Google profile without your having expressly consented to this.

You can learn how Facebook handles privacy settings using Facebook's privacy policy and terms of use; these also include the applicable conditions for the previously specified option of logging in and registering to Workout Test. You can learn how Google handles privacy settings using Google's privacy policy and terms of use; these also include the applicable conditions for the previously specified option of logging in and registering to Workout Test.

&nbsp;
<h2><strong>Data collection, processing and use in the context of Workout Test Service </strong></h2>
<h2><strong>Community Profile </strong></h2>
You need a Workout Test account in order to use our Workout Test Apps. The data collected for this purpose has already been explained above. To provide you with the best Workout Test experience possible, our approach is partly based on publishing specific information relating to our users within the Workout Test community, i.e. even your information. We are going to introduce our program to you in more detail below so that you can decide for yourself whether and which data you want to publish. This introduction includes the following data in particular which is visible to other users:
<ul>
	<li>public profile (photo, first name, surname, nickname, weight, height, personal measurement data, training location, motivation, Workout Test level)</li>
	<li>fitness (progress, desired objective, skills)</li>
	<li>training information (duration and type of training unit, total number of training sessions, notes, photo)</li>
	<li>social media profile (Facebook, Twitter, Instagram)</li>
	<li>food intake (meal type, notes, photo)</li>
	<li>followed by/follows (persons who follow the user, persons followed by the user)</li>
</ul>
You become visible in Workout Test Apps with the data in your public profile. This information helps other users to find you in Workout Test Apps. At the same time, other users can see your name and surname (if provided), your training location, your motivation and your profile photo and they can recognize you using this information if necessary. You have already agreed under our General Terms and Conditions of Business that upon beginning your Workout Test journey and provided that you make no changes to your privacy settings, all Workout Test users will be able to view your profile, your training data, your posts, your training spots, etc., without special consent. This is designed to make it easier to follow you and/or support you during your journey with comments and motivation. If you do not want this anymore, you can set your privacy settings to ‘private’ at any time, which only allows select athletes to access the information referred to above.

Workout Test Apps save all your successfully completed training units or the meals you have consumed as well as related information such as self- uploaded photos or notes. Other users can see this data and can consider them as an incentive for themselves, leave comments or decide whether they want to follow you.

Moreover, our Workout Test Apps also provide users with the option to be followed (‘followed by’) to support or encourage them in their training experiences, or to compete with one another. For this purpose, users can be searched for by the name registered in the public profile or, after linking a Workout Test account to a Facebook account, via their Friends list. You will be notified about new followers in the mobile app and by push notification where applicable.

Consequently, some of your information is available to other users in Workout Test Apps. Our aim is that nobody is left alone with their training. Instead, users’ performance is appreciated and can become an incentive for new members.

If you do not want to make it possible to link your performance to yourself, you are free to refrain from providing any personal data on your profile or training sessions and linking your account to Facebook. Moreover, you should not save any training photos or enter any notes in this case. For this reason, we have ensured that each user can change their personal information, which can be viewed by other users, and each user is free to use their own name or a fictitious name in their Workout Test Apps.

&nbsp;
<h3><strong>Analysis of location data </strong></h3>
Within the framework of our Workout Test Apps, in particular, Workout Test Running and Workout Test Training, it is possible to map runs. For this purpose, we need access to location data. This data allows us to calculate distances covered at the relevant time and thereby correctly determine the end for predefined distances or determine distances covered.

Based on your location, you can also find training spots and users near you, as well as adjust your training plan to your current environment. At training spots, you can check-in after your workout and show the other users in your community where you exercised. To determine the parts of the world in which most users are based, we perform a statistical analysis of your location data. If you edit your saved training, you can remove the selected training spot later and therefore withdraw your consent.

&nbsp;
<h2><strong>Access rights </strong></h2>
We require these access options and information to ensure the technical function of our app and to provide the services offered with the app, in particular, to access your camera or your photos, to determine your running distances and your activity calories or to send you push-notifications to inform you about new followers or comments. During the installation procedure or before you use the app for the first time, we request permission to access individual functions and information. We will only access these functions with your approval. You can revoke access rights manually in the settings for each operating system. You can find out how this works in the manufacturer instructions for your mobile OS. However, please note that you can only use the app to a limited extent or you cannot use it at all without the relevant approval.

Before you either use the app for the first time or use a function for the first time, we ask the user for the permissions for the purpose described below:

&nbsp;
<h3><strong>Contact form </strong></h3>
You have the option of contacting us via our e-mail address or the contact form.

We will, of course, use the personal data transmitted to us only for the purpose for which you make it available by contacting us.

The legal basis is in this respect our legitimate interest in accordance with Art. 6 para. 1 sent. 1(f) of the GDPR. If the aim of your request is to conclude a contract (e.g., purchasing a subscription), the legal basis for the processing of the communicated data is also the necessity for providing (pre-) contractual services, in accordance with Art. 6 para. 1 sent. 1(b) of the GDPR.

If we request entries in our contact form that are required for establishing contact, we have marked them as compulsory (*). Any information without an asterisk is optional. We use this information to put your request into specific terms and handle your concern more effectively. Providing this information is entirely voluntary and with your consent. If the information in question refers to communication channels (for example, e-mail address or phone number), you also give consent for us to contact you via these communication channels to respond to your concern.

You can, of course, withdraw your declarations of consent at any time with future effect. If you wish to withdraw your consent, please contact the office indicated at the end of this declaration.

&nbsp;
<h3><strong>Push notifications as part of the user experience </strong></h3>
We require your consent if you wish to receive our push notifications on your mobile iOS device even if the app is not open. Our app only uses push notifications if you have given your explicit consent to these. You can disable push notifications in settings at any time. If you use an Android device, push notifications are permitted automatically unless you disable this in your settings.

&nbsp;

&nbsp;
<h3><strong>Push notifications for marketing purposes </strong></h3>
We require your consent if you wish to receive our push notifications for marketing purposes on your mobile iOS device even if the app is not open. Our app only uses push notifications for marketing purposes if you have given your explicit consent to these. You can disable push-notifications in settings at any time. If you use an Android device, push notifications are permitted automatically unless you disable this in your settings.

&nbsp;
<h3><strong>Apple Health Kit </strong></h3>
We use the HealthKit framework from Apple (Apple Inc., 1 Infinite Loop, Cupertino, CA 95014, USA; “Apple”), which provides a central storage location for health and fitness data on the iPhone or Apple Watch and – with the express consent of the user – allows apps to communicate with the HealthKit store in order to access and share these data.

With your express approval, we will process your heart rate (where appropriate) as well as information about your workout (start and end of training (date)), training duration, type of training, indoor or outdoor), which is obtained through the HealthKit framework in order to track and display your health and fitness activities.

If you activate the HealthKit framework in your iPhone’s or Apple Watch settings, Workout Test is able to send, with your approval, the calories burned by the activity, route (walking and running), as well as your workouts (start and end of training [date], training duration, type of training, indoor or outdoor) to Apple, so that you can track and display your health and fitness activity.

New data attributes can be added to the HealthKit framework, which are then displayed in the product and must be approved. You can prevent Apple from accessing your data at any time, and thus prevent it from being shared, by changing your mobile device settings. You can find more information about HealthKit here: [https://developer.apple.com/documentation/healthkit] https://developer.apple.com/documentation/healthkit

&nbsp;
<h3><strong>Google Fit </strong></h3>
We use Google Fit from Google (Google Ireland Limited, Gordon House, Barrow Street, Dublin 4, Ireland; “Google”), which provides a central storage location for health and fitness data on your Android phone and – with the express consent of the user – allows apps to communicate with Google Fit in order to access and share these data.

With your express approval, we will send information about your workout (start and end of training (date), training duration, type of training, and name of the workout) to Google Fit, so that you can track and display your health and fitness activity. New data attributes can be added to Google Fit, which is then displayed in the product and must be approved.

You can prevent Google from accessing your data at any time, and thus prevent it from being shared, by changing your mobile device settings. You can find more information about Google Fit here.

&nbsp;
<h3><strong>Cookies, tracking pixels and similar technologies </strong></h3>
To improve our web service and make your experience as comfortable as possible, we use cookies, tracking pixels, or similar technologies. Cookies are small text files saved on your computer when you visit our website. They help us recognize your browser as yours. Cookies save information such as your language settings or the duration of your visit to our website. They save data entries you make on the website, like when you log in, so you don’t need to enter your data each time you use our services. Cookies help us to recognize your preferences and adjust our website to your areas of interest.

Every time our website loads, we record how often it is visited and clicked on by using tags on our website called tracking pixels. These tracking pixels do not interfere with your computer.

Most browsers accept cookies automatically. If you want to prevent cookies from being saved, you can select the

‘Accept no cookies’ option in your browser settings. To find out exactly how this works, you can consult your browser manufacturer’s instructions. You can delete cookies that have already been saved on your computer at any time. To find out exactly how this works, you can consult your browser manufacturer’s instructions. If you want to prevent performance cookies and advertising cookies from being saved, you can change your cookie preferences at any time by changing your cookie settings above.

We use cookies and tracking pixels for different purposes, which also means they have different legal bases and storage periods. You will find more information about that in the following sections:
<h3><strong>Required and functional cookies </strong></h3>
Some cookies are required for the site to function and cannot be disabled. Without these cookies, you will not be able to view our site properly. We also use functional cookies, which help us to improve our website performance.

- Analytical tools are used to analyze data based on your browser behaviour in order to improve the functionality and design of our site.

- Quality assurance tools are used to measure errors presented on a website, to make sure we fix bugs or any issues promptly.

- A/B testing tools or multivariate testing tools are used to ensure a consistent design of the website and a consistent user experience in the current and subsequent sessions.

The legal basis is in this respect our legitimate interest in accordance with Art. 6 para. 1 sent. 1(f) GDPR
<h3><strong>Performance Cookies and Advertising Cookies </strong></h3>
These cookies allow us to analyze site usage so we can measure and improve performance. They are also used by advertising companies to serve ads that are relevant to your interests. These cookies contain a unique key to distinguish individual users’ browsing habits. We also use these cookies to limit the number of times a user sees a particular ad on a website and to measure the effectiveness of a particular campaign. The identifier stored by these cookies is provided by our partners. We cannot use the same identifier in our own systems.

If you want to prevent performance cookies and advertising cookies from being saved, you can change your cookie preferences at any time by changing your cookie settings above.

The legal basis for performance cookies and advertising cookies is consent in accordance with Art. 6 para. 1 sent. 1(a) GDPR. Obviously, you can withdraw your declarations of consent for the future at any time. If you no longer agree to us providing your data to the service providers mentioned in our privacy policy, you can opt- out in the cookie settings on our website or within your profile settings.

Please note: it is possible that you can still see advertisements from Workout Test on third-party platforms even if you do not choose this functionality, but these advertisements are at random and won’t be personalized.
<h3><strong>Google Analytics </strong></h3>
We use the Google Analytics service from Google Ireland Limited (Gordon House, Barrow Street, Dublin 4, Ireland) to analyze our website visitors. Google uses cookies to track the use of the online product or service by users and the information is generally transferred to a Google server in the USA and stored there.

Google will use this information on our behalf to evaluate the use of our online products and services by users, to compile reports on the activities within these online products and services and to provide us with further services associated with the use of these online products and services and the use of the internet. Pseudonymous user profiles can be created from the processed data.

We use Google Analytics only with IP anonymization enabled. This means that Google will truncate the IP address of users within Member States of the European Union or in other states that are party to the Agreement

on the European Economic Area. Only in exceptional cases will the full IP address be transmitted to a Google server in the USA and truncated there. The IP address transmitted by the user’s browser is not merged with other Google data. Users can prevent cookies from being stored by adjusting the settings to their browser software accordingly. We have made data protection friendly default settings.

The legal basis for the use of this service is Art. 6 paragraph 1 sentence 1 letter f GDPR. Users can prevent the collection of data generated by cookies by downloading and installing the browser plug-in that is available here. As a guarantee pursuant of Art. 44ff of the General Data Protection Regulation (GDPR), Google has signed the EU standard contractual clauses.

If you do not wish to be tracked by Google Analytics in the future, you can opt out at any time by writing an email to service@workouttest.com.
<h3></h3>
<h3><strong>Flurry</strong></h3>
We use Flurry (360 3rd Street, Suite 750, San Francisco, CA 94107, US) within our app in order to analyze your app usage behaviour. When you visit our website or app the information listed below is collected and analyzed by Flurry, which uses an identifier (ID) that allows analysis of your use of our services.

On behalf of us, Flurry will use this information to evaluate your use of the app and to compile reports on the use of the website. This information may be used by us, if activated by you, to send you specific information (so-called push notifications or in-app messages) about Workout Test services or specific advertising. If you do not want to receive any in-app messages, please contact service@workouttest.com. For further information about push-notifications, see here.

If Flurry transfers personal data to the USA, it does so on the basis of an agreement with the EU standard contractual clauses. The legal basis is Art. 6 para. 1 lit. f) DSGVO. If you do not wish to be tracked by Flurry in the future, you can opt-out at any time by writing an email to service@workouttest.com.

&nbsp;
<h3><strong>Google Marketing Services </strong></h3>
On our apps we use the marketing and re-marketing services of Google Ireland Limited (Gordon House, Barrow Street, Dublin 4, Ireland) that allow us to display advertisements in a more targeted manner in order to present advertisements of interest to users. Through (re- )marketing ads and products are displayed to users relating to an interest established by activity on other apps within the Google Network. For these purposes, a code is used by Google when our app is accessed and what are referred to as (re-)marketing tags are incorporated into the app. With their help, an individual cookie, i.e. a small file, is stored on the user’s device (comparable technologies may also be used instead of cookies). Cookies can be set by various domains. This file records which apps users have visited, which content they are interested in and which offers have been used. In addition, technical information about the browser and operating system, referring apps, the length of the visit as well as any additional data about the use of the online products and services are stored. The IP address of users is also recorded, although we would like inform you that within the framework of Google Analytics, IP addresses within Member States of the European Union or in other contracting states to the Agreement on the European Economic Area are truncated.

All user data will only be processed as pseudonymous data. Google does not store any names or email addresses. All displayed ads are therefore not displayed specifically for a person, but for the owner of the cookie. This information is collected by Google and transmitted to and stored by servers in the USA.

One of the Google marketing services we use is the online advertising program Google AdWords. In the case of Google AdWords, each AdWords customer receives a

different conversion cookie. Cookies can therefore not be tracked through the apps of AdWords customers. The information collected by the cookie is used to generate conversion statistics for AdWords customers who have opted for conversion tracking. AdWords customers see the total number of users who clicked on their ad and were redirected to a page with a conversion tracking tag. However, they will not receive any information that personally identifies users.

We may include third-party advertisements based on the Google Marketing Service called DoubleClick. DoubleClick uses cookies to enable Google and its partner apps to place ads based on users’ visits to this app or other apps on the Internet.

Google services make use of Google’s Tag Manager. For more information about Google’s use of data for marketing purposes, please see the summary page, Google’s privacy policy is available here.

The legal basis for the use of this service is Article Art. 6 paragraph 1 sentence 1 letter f GDPR. If you wish to object to interest-based advertising by Google marketing services, you can do so using the settings and opt-out options provided by Google. As a guarantee pursuant of Art. 44ff of the General Data Protection Regulation (GDPR), Google has signed the EU standard contractual clauses.

There is another Google service we use called <em>Google Audience</em>, that allows us to show targeted messages to users within the Google Network (such as Gmail, YouTube, Google Feed, etc.). For this, we may provide Google with a customer list that includes the email address or other data such as the device ID you provide to us when you register. This allows Google to create a profile about your usage patterns in our app and on our website in order to display advertisements in a more targeted manner in order to present Workout Test advertisements of interest to users on other apps and websites within the Google Network. Please find more information about the Google Personalized Advertising Service here: https://support.google.com/adspolicy/answer/143465? hl=en

The legal basis for our processing is Art. 6 Para. 1 Sentence 1 Letter a GDPR. We only actively provide Google with customer lists that include your email address or other personal data with your consent. Obviously, you can withdraw your declarations of consent for the future at any time. If you no longer agree to us providing your data to Google, you can opt-out in our app-settings. It is possible, that you can then still see advertisements from Workout Test even if you withdrew your consent or did not consent in the first place, but these advertisements on third party platforms are at random

&nbsp;
<h3><strong>Facebook Marketing Services </strong></h3>
We use the “visitor action pixels” from Facebook Inc. (Menlo Park, California) on our website so that user behavior can be tracked after users have been redirected to the provider’s website by clicking on a Facebook ad. This enables us to measure the effectiveness of Facebook ads for statistical and market research purposes. The data collected in this way is anonymous to us, i.e. we do not see the personal data of individual users. However, this data is stored and processed by Facebook, which is why we are informing you, based on our knowledge of the situation. Facebook may link this information to your Facebook account and also use it for its own promotional purposes, in accordance with Facebook’s Data Usage Policy. You can allow Facebook and its partners to place ads on and off Facebook. A cookie may also be stored on your computer for these purposes. You can object to the collection of your data by Facebook pixel, or to the use of your data for the purpose of displaying Facebook ads.

We also use Facebook’s Software Development Kit (SDK) within our apps, in order to link various Facebook services with our apps. For example, this enables users to be able to use the Facebook SDK to share content from our apps within their Facebook timeline or to send messages to other Facebook users. Further information about the Facebook SDK within iOS can be found here:

https://developers.facebook.com/docs/ios. For Android, please refer to: https://developers.facebook.com/docs/android.

We use the Facebook App Events service though the Facebook SDK to track how many people our advertising campaigns reach, and the use of the Facebook SDK. Facebook merely provides us with an aggregated analysis of user behavior with our app. We have no influence beyond that on the information that will be processed through App Events by Facebook. In our app settings, you can opt out of using App Events for these purposes.

As a guarantee pursuant of Art. 44ff of the General Data Protection Regulation (GDPR), Facebook has signed the EU standard contractual clauses. The legal basis for this processing is Art. 6 paragraph 1 sentence 1 letter f GDPR.

If you do not wish to be tracked by Facebook in the future, you can opt out at any time by writing an email to service@workouttest.com.
<h3><strong>Facebook Custom Audience </strong></h3>
The product Custom Audiences from Facebook (Facebook Custom Audiences 1601 S. California Avenue, Palo Alto, CA, 94304) is also used on the website as part of the usage-based online advertising. Basically, a non- reversible and non-personal checksum (hash value) is generated from your usage data, which can be transmitted to Facebook for analysis and marketing purposes. This is done either by placing a pixel-code from Facebook on our website or by capturing your usage behavior in our app using the Facebook SDK (see section above for a detailed description of these two Facebook services). Alternatively, we may provide Facebook with a customer list that includes the email address you provided to us when you registered. It collects information about your activities on the website (e.g. surfing habits, sub-pages visited, etc.). This allows Facebook to create a profile about your usage patterns in our app and on our website. Your IP address is stored and used for the geographical control of advertising.

As a guarantee pursuant of Art. 44ff of the General Data Protection Regulation (GDPR), Facebook has signed the EU standard contractual clauses. The legal basis for our processing is Art. 6 Para. 1 Sentence 1 Letter f GDPR.

For registrations from June 2020: The legal basis for our processing is Art. 6 Para. 1 Sentence 1 Letter a GDPR. We only actively provide Facebook with customer lists that include your email address or other personal data with your consent. Obviously, you can withdraw your declarations of consent for the future at any time.

If you no longer agree to us providing your data to Facebook, you can opt-out in our app-settings.

In this context, please note that Facebook may also use

the data we provide about your usage behavior and your e-mail address for its own purposes. Here you have the opportunity to object to targeting on Facebook. Alternatively, you can contact us directly by email at service@workouttest.com.

Further information about the purpose and scope of the data collection and the further processing and use of the data, as well as the privacy settings can be found in the Facebook data protection guidelines.
<h3></h3>
<h3><strong>Firebase by Google </strong></h3>
We use the Firebase service from Google Ireland Limited (Gordon House, Barrow Street, Dublin 4, Ireland) in order to derive application behavioral analytics. We use that information to see how users interact with our website and app.

Firebase is part of the Google Cloud Platform and offers numerous services for developers. Some Firebase services process personal data. In most cases, the personal data is limited to so-called "instance IDs", which are provided with a time stamp. These "Instance IDs" assigned by Firebase are unique and thus allow the linking of different events or processes. This data does not represent personally identifiable information for us, nor do we make any efforts to personalize it subsequently. We process these aggregated data to analyze and optimize usage behavior, for example by evaluating crash reports.

Currently, we use the following Firebase services:

Google Analytics for Firebase: Google Analytics uses the data to provide analytics and attribution information. The precise information collected can vary by the device and environment. Google Analytics retains ID-associated data for 60 days, and retains aggregate reporting and campaign data without automatic expiration, unless the Firebase customer changes their retention preference in their Analytics settings or deletes their project. For Analytics for Firebase, Google uses not only the "Instance ID" described above, but also the advertising ID of the end device. You can restrict the use of the advertising ID in the device settings of your mobile device. For Android:

Settings &gt; Google &gt; Ads &gt; Reset Ad ID For iOS: Settings &gt; Privacy &gt; Advertising &gt; No ad tracking

Firebase Remote Config: Remote Config uses Instance IDs to select configuration values to return to end-user devices. Firebase retains Instance IDs until the Firebase customer makes an API call to delete the ID. After the call, data is removed from live and backup systems within 180 days.

Firebase Dynamic Links: Dynamic Links uses device specs on iOS to open newly-installed apps to a specific page or context. Dynamic Links only stores device specs temporarily, to provide the service.

Firebase Cloud Messaging: Firebase Cloud Messaging is used to transmit push messages or so-called in-app messages (messages that are only displayed within the respective app). A pseudonymized push reference is assigned to the mobile device, which serves as a target for the push messages or in-app messages. The push messages can be deactivated and reactivated at any time in the settings of the mobile device. Firebase Cloud Messaging uses Instance IDs to determine which devices to deliver messages to. Firebase retains Instance IDs until the Firebase customer makes an API call to delete the ID. After the call, data is removed from live and backup systems within 180 days.

Firebase will use this information on our behalf for the

above mentioned reasons.

The legal basis for the use of this service is Art. 6 paragraph 1 sentence 1 letter f GDPR. As a guarantee pursuant of Art. 44ff of the General Data Protection Regulation (GDPR), Google has signed the EU standard contractual clauses.

&nbsp;
<h3><strong>YouTube (extended data protection mode) </strong></h3>
We also use services from YouTube, LLC 901 Cherry Ave., 94066 San Bruno, CA, USA, a company of Google Inc., Amphitheatre Parkway, Mountain View, CA 94043, USA on our website. In so doing we use the option of “extended data protection mode” provided by YouTube. When you access a page containing an embedded YouTube video, a connection to the YouTube servers is established and the contents are displayed on the Internet page through a notification to your browser. Pursuant to YouTube specifications, in the “extended data protection mode” your data is sent to the YouTube servers only when you view the video. If you are simultaneously logged in to YouTube, this information is assigned to your YouTube member account. You may prevent this by logging out of your member account before visiting our website.

For more information on data protection in connection with YouTube, please refer to this link.
<h2></h2>
<h2><strong>Quality assurance </strong></h2>
When using our website and apps, data is collected and stored which is used to generate information using pseudonymous usage profiles for purposes of web analysis. These usage profiles serve to analyze visitor behaviour and are evaluated to improve and design our services based on demand. In addition, we measure and analyze technical performance data (e.g. response and load times) and application data (hardware and software used) in order to improve the performance of our products. Cookies are used to do so. These are text files saved on your computer that allow us to analyze how you use our website. The pseudonymous usage profiles are not associated with personal data on the bearer of the pseudonym without the concerned party's express consent. You can object to future data collection and storage for the purpose of web analysis at any time by deactivating cookies in your browser settings. You can find the individual privacy notices for the providers here:

Flurry, S<span style="font-size: 14px;">entry</span>

&nbsp;

&nbsp;
<h3><strong>Social Plugins </strong></h3>
This website uses social plugins from providers:

Facebook (Facebook Inc., 1601 S. California Ave, Palo Alto, CA 94304, USA)
Twitter (Twitter Inc., 795 Folsom St., Suite 600, San Francisco, CA 94107, USA)

These plugins normally collect your data and transmit it to the server of the respective provider.

After being activated, these plugins also record personal data, such as your IP address, and send this to the server of the respective provider where it is stored. Active social plugins also create a cookie with a unique identifier when accessing the respective website. This allows the provider to create profiles on your usage behavior. This also happens when you are not a member of the social network of the respective provider. If you are a member of the provider's social network, and if you are logged in to the social network while visiting this website, your data and visit information can be associated with your profile on the social network. We cannot influence the exact scope of the data collected on you by the respective provider. Please refer to the privacy policies of the respective social network providers for more detailed information on the scope, manner, and purpose of data processing, and on your rights and setting options to protect your privacy. These can be found in the table above. They are also available at the following addresses:

Facebook, Twitter
<h3><strong>Social media fan pages </strong></h3>
Workout Test maintains so-called fan pages with social media providers like Instagram, Facebook (both: Facebook Inc. Menlo Park, California) and Twitter (Twitter Inc., 795 Folsom St., Suite 600, San Francisco, CA 94107, USA) in order to communicate with customers, interested parties, and users who are active there, and to inform them about our products, services, and events. In doing so, the users’ data can be processed outside of the EU. The above-mentioned US providers have signed the EU standard contractual clauses and thus guarantee the observance of European data protection laws.

In the opinion of the European Court of Justice (ECJ), we are responsible, together with Facebook, for the processing of your personal data. You can find the decision of the ECJ dated June 5, 2018 here.

A Joint Controller Agreement exists with Facebook Inc. pursuant to Art. 26 GDPR. Facebook Ireland pledges to assume the main responsibility in the context of the General Data Protection Regulation (GDPR) for the processing of Insights data and to fulfill all applicable obligations in the context of the GDPR with reference to the processing of Insights data (including, but not limited to Articles 12 and 13 GDPR, Articles 15 to 22 GDPR, and Articles 32 to 34 GDPR). Facebook Ireland will also make available the essential information of this Page Insights Addendum to the affected parties. Please contact Facebook to assume your rights as affected parties. The Data Policy of Facebook can be found here.

When using the Facebook fan page, the following data will be collected from you for the purpose of user communication and target group advertising:
<ul>
	<li>user interactions (posts, likes, etc.)</li>
	<li>Facebook cookies</li>
	<li>demographic data (e.g., based on information regarding age, place of residence, language, or gender)</li>
	<li>statistical data on user interactions in aggregated form, that is, without the possibility to relate the information to any particular persons (e.g., page activities, page impressions, page previews, likes, recommendations, articles, videos, page subscriptions, incl. source, times of day)</li>
</ul>
The usage of personal data for advertising purposes is of particular importance for Facebook. We use the statistics function to find out more about visitors to our fan page. The use of the function enables us to adapt our content to the respective target group. In this way we also use, for example, the demographic information about the users’ age and location, whereby it is not at all possible for us to relate this information to persons.

In order to provide the social media service in the form of our Facebook fan page and to use the Insight function, Facebook generally saves cookies on the end device of the user. These include session cookies, which are deleted when the browser is closed, and persistent cookies that remain on the end device until they expire or are deleted by the user.

We use the Facebook Insights function for statistical

evaluation purposes. In this connection, we receive anonymized data concerning the users of our Facebook fan page. As a result, it is not possible for us to trace them back to your person. For more information, you can refer to the cookie guideline of Facebook.

The personal data of users are processed on the basis of our justified interest in effectively providing information to users and maintaining communication with the users, as well as for the purposes of statistical evaluation pursuant to Art. 6(I) (f) GDPR.

&nbsp;
<h3><strong>Transfer of data to third parties </strong></h3>
We only pass your personal data on to third parties if:
<ul>
	<li>you have given your explicit consent to this,</li>
	<li>forwarding data is necessary for the assertion, exercise or defense of legal claims and there is no reason to assume you have an overriding legitimate interest in your data not being passed on,</li>
	<li>in the event that we have a legal obligation to forward data, and</li>
	<li>this is legally permissible and required for the performance of the contractual relationship with you.</li>
</ul>
In the case of data transfer outside the European Union, the high European level of data protection essentially does not exist. It may be the case with a transfer that an EU Commission adequacy decision in accordance with Article 45 (1) (3) GDPR is not currently in place. This means the EU Commission has not yet decided that the level of data protection in the respective country corresponds to the level of protection in the European Union based on the GDPR. Consequently, we have put the appropriate guarantees referred to above in place. Potential risks, which cannot be ruled out completely in connection with data transfer, are in particular:
<ul>
	<li>your personal data could be processed over and above the intended purpose.</li>
	<li>Moreover, there is a possibility that you may not be able to exercise your rights in relation to data protection, for example your right of access, to rectification, erasure or data portability, on a consistent basis and enforce these.</li>
	<li>It may also be highly likely that data is processed incorrectly and in quantitative and qualitative terms, the protection of personal data fails to meet the requirements of the GDPR in full.</li>
</ul>
&nbsp;
<h2><strong>Your rights </strong></h2>
<h3><strong>Information on the rights of data subjects </strong></h3>
Each data subject has the right of access in accordance with Article 15 GDPR, the right to rectification in accordance with Article 16 GDPR, the right to erasure in accordance with Article 17 GDPR, the right to restriction of processing in accordance with Article 18 GDPR, the right to object in Article 21 GDPR and the right to data portability in Article 20 GDPR. The limitations according to Articles 34 and 35 BDSG apply to the right of access and to the right to erasure.

&nbsp;
<h3></h3>
<h3><strong>Information on right the to object in the case of balance of interests </strong></h3>
If we process your personal data based on a balance of interests, you can object to such processing. If you exercise this right to object, please state the reasons why we should not process your data as we have described. If your objection is justified, we will review the situation and either stop or adjust data processing or explain our compelling legitimate reasons for processing to you.

&nbsp;

<strong>Information on withdrawal of consent </strong>

You can withdraw your consent with us to process personal data at any time. This also applies to withdrawals of a declaration of consent that were given to us before the General Data Protection Regulation came into effect, i.e. before May 25, 2018. Please note that this withdrawal will only apply prospectively. This does not affect processing that took place prior to a withdrawal.

&nbsp;
<h3><strong>Information on right the to object in the case of balance of interests </strong></h3>
If we process your personal data based on a balance of interests, you can object to such processing. If you exercise this right to object, please state the reasons why we should not process your data as we have described. If your objection is justified, we will review the situation and either stop or adjust data processing or explain our compelling legitimate reasons for processing to you.
</html>
""";

class _DialogPremiumState extends State<DialogGDPR> with Trans {
  bool isStart = true;
  @override
  Widget build(BuildContext context) {
    setContext(context);
    return Dialog(
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(31),
      ),
      elevation: 0,
      backgroundColor: Colors.transparent,
      child: contentBox(context),
    );
  }

  contentBox(context) {
    return Stack(children: <Widget>[
      SingleChildScrollView(
        padding: EdgeInsets.only(top: 15),
        child: Container(
          padding: EdgeInsets.only(left: 20, top: 24, right: 20, bottom: 30),
          margin: EdgeInsets.only(top: 30),
          decoration: BoxDecoration(
            borderRadius: BorderRadius.circular(24),
            boxShadow: [BoxShadow(color: Colors.black, offset: Offset(0, 10), blurRadius: 10)],
            image: DecorationImage(
              image: AssetImage('asset/image/WT_light_background.jpg'),
              fit: BoxFit.cover,
              alignment: Alignment.center,
            ),
          ),
          child: Html(data: htmlData,
              //Optional parameters:
              style: {
                "html": Style(
                  backgroundColor: Colors.transparent,
                ),
              }),
        ),
      ),
      Align(
          alignment: Alignment.centerRight,
          child: FloatingActionButton(
            backgroundColor: Colors.orange,
            onPressed: () => Navigator.of(context).pop(),
            child: Text("OK"),
          )),
      GestureDetector(
          onTap: () {
            Navigator.of(context).pop();
          },
          child: CircleAvatar(
            backgroundColor: Colors.transparent,
            radius: 28,
            child: Text(
              "X",
              style: GoogleFonts.archivoBlack(fontSize: 32, color: Colors.grey[400]),
            ),
          )),
    ]);
  }

  @override
  void dispose() {
    super.dispose();
  }
}
